import { Gateway, GatewayConfiguration, Methods } from "./gateway";
export declare type ManagerOptions = {
    [Key in Methods]: GatewayConfiguration;
};
export declare class GatewayManager {
    protected Options: ManagerOptions;
    ExecutedBlacklist: string[];
    constructor(Options: ManagerOptions);
    listMethods: () => Methods[];
    get: <T extends Methods>(method: T, mode?: "Live" | "Test" | undefined) => Gateway<T>;
}
